﻿@using EpamMVC.DLL.Entities
@model EpamMVC.WEB.Models.Manage.PrintPaymentViewModel

@{
    Layout = null;
}

<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Чек</title>
    <style>

    body{
        padding: 32px;
        margin: 0;
    }
    header{
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-between;
        align-items: center;
    }
    header .header__logo img{
        max-height: 120px;
    }
    header .title{
        font-size: 22px;
        font-weight: bold;
        flex-grow: 1;
    }
    header .title .status{
        font-size: 14px;
        font-weight: normal;
    }
    .info {
        padding: 32px 0 48px 0;
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-between;
        align-items: flex-start;
    }
    .info .client{
        /*padding: 0 0 0 48px;*/
    }
    .info .contacts {
        text-align: right;
        white-space: nowrap;
    }
    table{
        width: 100%;
    }
    table td:last-child{
        text-align: right;
    }

    </style>
</head>
<body onload="window.print()">
<header>
    <div class="title">
        Товарный чек №@Model.ClientPayment.Id
        <div class="status">
            @if (Model.ClientPayment.Status == ClientPayment.Statuses.Prepare)
            {
                <span class="badge bg-secondary">Подготовлен</span>
            }
            else
            {
                <span class="badge bg-success">Отправлен</span>
            }
        </div>
    </div>
    <a href="/" class="header__logo">
        <img src="/Content/Upload/logo.png" alt="EasyTravel"/>
    </a>
</header>
<main>
    <div class="info">
        <div class="client">
            @Model.ClientAccount.User.Email
        </div>
        <div class="contacts">
            Украина, Харьков, ул. Сумская, д. 10, оф. 9 <br/>
            easy-travel.com<br/>
            demo@easy-travel.com<br/>
            (057) 728-06-28
        </div>
    </div>

    <table>
        <tbody>
        <tr>
            <td>
                Сумма к оплате
            </td>
            <td>
                @Model.ClientPayment.Amount
            </td>
        </tr>
        </tbody>
    </table>
</main>
<footer>
    <div style="height:10px;width:100%;border-bottom:1px dashed black;"></div>
    <p style="text-align:center;">
        Уважаемый Покупатель! <br>
        Easy Travel благодарит Вас за заказ в нашем магазине.
    </p>
</footer>

</body>
</html>
